#user  nobody;
worker_processes  1;

#error_log  error.log;
error_log  /var/log/nginx/error.log  notice;
error_log  /var/log/nginx/error.log  info;

pid        nginx.pid;

events {
    worker_connections  1024;
}

http {
    include       mime.types;
    default_type  application/octet-stream;

    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for"';

    access_log  /var/log/nginx/access.log  main;

    sendfile        on;
    #tcp_nopush     on;

    #keepalive_timeout  0;
    keepalive_timeout  65;

    gzip  on;

    server {
        listen       80;
        #server_name  localhost;
        #root /Users/michael/Documents/qmth/web-deploy/dist;
        root /opt/dist;
        # root .;

        # location /(wap|web) {
        #     try_files $uri $uri/ /index.html;
        # }

        location / {
            try_files $uri $uri/ /index.html;
        }

        # location /admin {
        #     try_files $uri $uri/ /index.html;
        # }

        # location ~* /(api|upload) {
        #     client_max_body_size    20m;
        #     proxy_set_header Host $host;
        #     proxy_set_header X-Real-IP $remote_addr;
        #     proxy_connect_timeout 30s;
        #     proxy_send_timeout 300s;
        #     proxy_read_timeout 300s;
        #     proxy_pass http://localhost:7001;
        # }

        # error_page  404              /404.html;

        # redirect server error pages to the static page /50x.html
        #
        # error_page   500 502 503 504  /50x.html;
        #location = /50x.html {
        #    # root   html;
        #}
    }
}